- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# QScriptEngineAgent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 42 of file qscriptengineagent.h.

`#include <qscriptengineagent.h>`

List of all members.

## Public Types
enum | Extension { DebuggerInvocationRequest }
## Public Member Functions
| QScriptEngineAgent (QScriptEngine *engine)
virtual | ~QScriptEngineAgent ()
virtual void | scriptLoad (qint64 id, const QString &program, const QString &fileName, int baseLineNumber)
virtual void | scriptUnload (qint64 id)
virtual void | contextPush ()
virtual void | contextPop ()
virtual void | functionEntry (qint64 scriptId)
virtual void | functionExit (qint64 scriptId, const QScriptValue &returnValue)
virtual void | positionChange (qint64 scriptId, int lineNumber, int columnNumber)
virtual void | exceptionThrow (qint64 scriptId, const QScriptValue &exception, bool hasHandler)
virtual void | exceptionCatch (qint64 scriptId, const QScriptValue &exception)
virtual bool | supportsExtension (Extension extension) const
virtual QVariant | extension (Extension extension, const QVariant &argument=QVariant())
QScriptEngine * | engine () const
## Protected Member Functions
| QScriptEngineAgent (QScriptEngineAgentPrivate &dd, QScriptEngine *engine)
## Protected Attributes
QScopedPointer < QScriptEngineAgentPrivate > | d_ptr

## Member Enumeration Documentation

enum Extension

Search for all occurrences

Enumerator:

  DebuggerInvocationRequest | Search for all occurrences

Definition at line 45 of file qscriptengineagent.h.

                       {
            DebuggerInvocationRequest
        };

## Constructor & Destructor Documentation

QScriptEngineAgent | ( | QScriptEngine * | engine | ) |

virtual ~QScriptEngineAgent | ( |  | ) | `[virtual]`

QScriptEngineAgent | ( | QScriptEngineAgentPrivate & | dd,
|  | QScriptEngine * | engine
| ) |  | `[protected]`

## Member Function Documentation

virtual void scriptLoad | ( | qint64 | id,
|  | const QString & | program,
|  | const QString & | fileName,
|  | int | baseLineNumber
| ) |  | `[virtual]`

Search for all occurrences

virtual void scriptUnload | ( | qint64 | id | ) | `[virtual]`

Search for all occurrences

virtual void contextPush | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void contextPop | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void functionEntry | ( | qint64 | scriptId | ) | `[virtual]`

Search for all occurrences

virtual void functionExit | ( | qint64 | scriptId,
|  | const QScriptValue & | returnValue
| ) |  | `[virtual]`

Search for all occurrences

virtual void positionChange | ( | qint64 | scriptId,
|  | int | lineNumber,
|  | int | columnNumber
| ) |  | `[virtual]`

Search for all occurrences

virtual void exceptionThrow | ( | qint64 | scriptId,
|  | const QScriptValue & | exception,
|  | bool | hasHandler
| ) |  | `[virtual]`

Search for all occurrences

virtual void exceptionCatch | ( | qint64 | scriptId,
|  | const QScriptValue & | exception
| ) |  | `[virtual]`

Search for all occurrences

virtual bool supportsExtension | ( | Extension | extension | ) | const `[virtual]`

Search for all occurrences

virtual QVariant extension | ( | Extension | extension,
|  | const QVariant & | argument = `QVariant()`
| ) |  | `[virtual]`

Search for all occurrences

QScriptEngine* engine | ( |  | ) | const

Search for all occurrences

## Member Data Documentation

QScopedPointer<QScriptEngineAgentPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 80 of file qscriptengineagent.h.

The documentation for this class was generated from the following file:

- QtScript/qscriptengineagent.h

QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent
QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent QScriptEngineAgent